
.equ __33EP128GP502, 1   
.include "p33EP128GP502.inc"

	USE_DEBUG_UART	= 0

	USE_TIMER_7_5us	= 1

	OSC_FRQ  = 7370000
	PLL_PRE  = 0
	PLL_DIV  = 50
	PLL_POST = 4
/*                  3685000 * 52 = 191620000  / 4 = 47905000 */
	FOSC = ((OSC_FRQ / (PLL_PRE + 2)) * (PLL_DIV + 2)) / PLL_POST
/* FCY = 47905000 / 2 = 23952500 */
	FCY  = FOSC / 2

.IF USE_TIMER_7_5us
	TIMER_FREQ	= 133333
.ELSE
	TIMER_FREQ	= 100000
.ENDIF
	BAUDRATE	= 115200
	MAX_RS_BUFFER	= 256
	INFO_DataArt	= 0x0003


	CPU_FACTORY	= 1
;	CPU_TYPE	= 0x1E4D
	MAX_RAM		= 0x2800





.macro ZUEND_OFF
	bclr PORTB, #15
.endm
.macro ZUEND_ON
	bset PORTB, #15
.endm


.macro TEST_PIN0_CLR
;	bclr PORTB, #15
.endm

.macro TEST_PIN0_SET
;	bset PORTB, #15
.endm

.macro TEST_PIN0_TGL
;	btg PORTB, #15
.endm

.macro TEST_PIN1_CLR
;	bclr PORTA, #0
.endm

.macro TEST_PIN1_SET
;	bset PORTA, #0
.endm

.macro TEST_PIN1_TGL
;	btg PORTA, #0
.endm
