
.include "sys.h"

	TIMER_COUNT_MS	= TIMER_FREQ / 1000

.section .nbss, bss, near
TimerBef:	.space 2
TriggerTime:	.space 2
msCount:	.space 2
t_ms:		.space 2
t_free_run:	.space 2
ANL0_Val:	.space 2

.global TimerBef
.global TriggerTime
.global t_ms
.global t_free_run
.global ANL0_Val

.section .text
.global InitTimer1
.global __T1Interrupt

InitTimer1:
	mov	#TIMER_COUNT_MS, w0
	mov	w0, msCount
	mov	#0x0000, w0
	mov	w0, t_ms
	mov	w0, TimerBef
	mov	w0, TMR1
	mov	#(FCY / TIMER_FREQ), w0
	mov	w0, PR1
	mov	#0x0000, w0
	mov	w0, T1CON
	bclr	IFS0, #T1IF
	bset	IEC0, #T1IE
	bset	T1CON, #TON
	return

__T1Interrupt:
 TEST_PIN0_SET
	bset	AD1CON1, #SAMP
.IF USE_DEBUG_UART
	mov.d	w0, [w15++]
	mov.d	w2, [w15++]

	dec	msCount
	bra	nz,noMS
	mov	#TIMER_COUNT_MS, w0
	mov	w0, msCount
	inc	t_ms
noMS:
	inc	t_free_run
.ENDIF
	mov	ADC1BUF0 ,w3
	mov	w3, ANL0_Val
	inc	TriggerTime

	mov	TimerBef, w0
	and	w0, #0x0f, w0
	add	w0, w0, w0
	mov	#Timer_proc, w1
	mov	[w0+w1], w0
	bclr	AD1CON1, #SAMP
/* ANL_VAL in W3 */
	call	w0
.IF USE_DEBUG_UART
	mov.d	[--w15], w2
	mov.d	[--w15], w0
.ENDIF
 TEST_PIN0_CLR
	bclr	IFS0, #T1IF
	retfie
